eth_newBlockFilter

Endpoint: POST https://api.infstones.com/bsc/mainnet/YOUR_PROJECT_ID

📘

To check if the state has changed, call eth_getFilterChanges.

Parameters

None

Result

A hex code of an integer that represents the newly created filter ID.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_newBlockFilter","params": [],"id":1}'

Return

{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0x117457e105a31bb2ce26478234986e58"
}